#pragma once

#include <Text.h>
#include <Punkt.h>

#include "Dimension.h"
#include "Player.h"
#include "WorldGenerator.h"
#include "Constants.h"

class Game : public virtual Framework::ReferenceCounter
{
private:
    Framework::Text name;
    Framework::RCArray<Dimension> *dimension;
    Framework::RCArray<Entity> *entities;
    WorldGenerator *generator;
    __int64 tickId;

public:

    void addChunck( Chunk *chunk, int dimensionId );
    Framework::Punkt getChunkCenter( int x, int y );
};